<script lang='tsx'>
import { Component } from 'vue-property-decorator';
import EMENCONSUMEditView9Base from './emenconsumedit-view9-base.vue';

import view_form from '@widgets/emenconsum/main2-form/main2-form.vue';

/**
 * 能耗信息
 *
 * @export
 * @class EMENCONSUMEditView9
 * @extends {EMENCONSUMEditView9Base}
 */
@Component({
    components: {
        view_form, 
    },
    beforeRouteEnter: (to: any, from: any, next: any) => {
        next((vm: any) => {
            if(!Object.is(vm.navModel,"route")){
                vm.initNavDataWithTab(vm.viewCacheData);
            }
            vm.$store.commit('addCurPageViewtag', { fullPath: to.fullPath, viewtag: vm.viewtag });
        });
    },
})
export default class EMENCONSUMEditView9 extends EMENCONSUMEditView9Base { }
</script>